# darwin.tcl
#
# Defines the Oc_Config name 'darwin' to indicate the Darwin (MacOSX)
#  operating system.

Oc_Config New _ [string tolower [file rootname [file tail [info script]]]] {
   global tcl_platform

   if {[llength [info commands LocalNameCheck]] == 0} {
      # If local/mynames.tcl exists and defines LocalNameCheck,
      # then use that.
      set fn [file join \
                 [file dirname [file dirname [file dirname [info script]]]] \
                 config names local mynames.tcl]
      if {[file readable $fn]} {
         catch {source $fn}
      }
   }
   if {[llength [info commands LocalNameCheck]] == 1} {
      set localname [LocalNameCheck]
      if {![string match {} $localname]} {
         set checkname [$this GetValue platform_name]
         return [expr {![string compare $checkname $localname]}]
      }
   }

   # Otherwise, fall back on default rules
   return [regexp -nocase -- darwin $tcl_platform(os)]
}

